Package org.apache.sling.resourceresolver.impl.providers

# Class ResourceProviderInfo

java.lang.Object
org.apache.sling.resourceresolver.impl.providers.ResourceProviderInfo

All Implemented Interfaces:
  `Comparable<ResourceProviderInfo>`

public class ResourceProviderInfo extends Object implements Comparable<ResourceProviderInfo>
Information about a registered resource provider

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`ResourceProviderInfo.Mode`

## Constructor Summary

Constructors
Constructor
Description
`ResourceProviderInfo(org.osgi.framework.ServiceReference<org.apache.sling.spi.resource.provider.ResourceProvider> ref)`

## Method Summary

Modifier and Type
Method
Description
`int`
`compareTo(ResourceProviderInfo o)`
`org.apache.sling.api.resource.runtime.dto.AuthType`
`getAuthType()`
`ResourceProviderInfo.Mode`
`getMode()`
`String`
`getName()`
`String`
`getPath()`
`org.osgi.framework.ServiceReference<org.apache.sling.spi.resource.provider.ResourceProvider>`
`getServiceReference()`
`boolean`
`getUseResourceAccessSecurity()`
`boolean`
`isAdaptable()`
`boolean`
`isAttributable()`
`boolean`
`isModifiable()`
`boolean`
`isRefreshable()`
`boolean`
`isValid()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ResourceProviderInfo

public ResourceProviderInfo(org.osgi.framework.ServiceReference<org.apache.sling.spi.resource.provider.ResourceProvider> ref)

## Method Details

### isValid

public boolean isValid()

### getServiceReference

public org.osgi.framework.ServiceReference<org.apache.sling.spi.resource.provider.ResourceProvider> getServiceReference()

### getPath

public String getPath()

### getMode

public ResourceProviderInfo.Mode getMode()

### compareTo

public int compareTo(ResourceProviderInfo o)

Specified by:
  `compareTo` in interface `Comparable<ResourceProviderInfo>`

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### getAuthType

public org.apache.sling.api.resource.runtime.dto.AuthType getAuthType()

### isModifiable

public boolean isModifiable()

### isAdaptable

public boolean isAdaptable()

### isRefreshable

public boolean isRefreshable()

### isAttributable

public boolean isAttributable()

### getName

public String getName()

### getUseResourceAccessSecurity

public boolean getUseResourceAccessSecurity()